<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="utf-8" />
  <meta
    name="viewport"
    content="width=device-width, initial-scale=1.0"
  />
  <link
    rel="stylesheet"
    href="styles.css"
  />
  <title>Calorie Counter</title>
</head>

<body>
  <main>
    <h1>Calorie Counter</h1>
    <div class="container">
      <form id="calorie-counter">
        <label for="budget">Budget</label>
        <input
          type="number"
          min="0"
          id="budget"
          placeholder="Daily calorie budget"
          required
        />
        <fieldset id="breakfast">
          <legend>Breakfast</legend>
          <div class="input-container"></div>
        </fieldset>
        <fieldset id="lunch">
          <legend>Lunch</legend>
          <div class="input-container"></div>
        </fieldset>
        <fieldset id="dinner">
          <legend>Dinner</legend>
          <div class="input-container"></div>
        </fieldset>
        <fieldset id="snacks">
          <legend>Snacks</legend>
          <div class="input-container"></div>
        </fieldset>
        <fieldset id="exercise">
          <legend>Exercise</legend>
          <div class="input-container"></div>
        </fieldset>
        <div class="controls">
          <span>
            <label for='entry-dropdown'>Add food or exercise:</label>
            <select
              id='entry-dropdown'
              name="options"
            >
              <option
                value="breakfast"
                selected
              >Breakfast</option>
              <option value="lunch">Lunch</option>
              <option value="dinner">Dinner</option>
              <option value="snacks">Snacks</option>
              <option value="exercise">Exercise</option>
            </select>
            <button
              type="button"
              id="add-entry"
            >Add Entry</button>
          </span>
        </div>
        <div>
          <button type="submit">Calculate Remaining Calories</button>
          <button
            id="clear"
            type="button"
          >Clear</button>
        </div>
      </form>

      <div id="output" class="output hide"></div>
    </div>
  </main>
  <script src="script.js"></script>
</body>

</html>